### Function

# EDataServer OAuth2Services is_oauth2_alias_static

since: 3.28

#### Declaration [src]

    gboolean
    e_oauth2_services_is_oauth2_alias_static (
      const gchar* auth_method
    )

#### Description [src]

This is the same as e_oauth2_services_is_oauth2_alias(), except it creates its own `EOAuth2Services` instance and frees it at the end. The `EOAuth2Services` is implemented as a singleton, thus it won’t be much trouble, as long as there is something else having created one instance.

Available since: 3.28

#### Parameters

`auth_method`

  Type: `const gchar*`

  An authentication method, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether exists any `EOAuth2Service`, with the same name as `auth_method`.